# $Revision: 1.32 $, $Date: 2009/10/18 07:37:25 $
Summary:	xtrans library - network API translation layer
Summary(pl.UTF-8):	Biblioteka xtrans - warstwa tłumaczenia sieciowego API
Name:		xorg-lib-xtrans
Version:	1.2.5
Release:	1
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/xtrans-%{version}.tar.bz2
# Source0-md5:	2d1e57e82acc5f21797e92341415af2f
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	groff
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.446
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xtrans library provides network API translation layer to insulate X
applications and libraries from OS network vagaries.

%description -l pl.UTF-8
Biblioteka xtrans dostarcza warstwę tłumaczenia sieciowego API służącą
do oddzielenia aplikacji i bibliotek X od kaprysów sieciowych systemu
operacyjnego.

%package devel
Summary:	xtrans library - network API translation layer
Summary(pl.UTF-8):	Biblioteka xtrans - warstwa tłumaczenia sieciowego API
Group:		X11/Development/Libraries
Requires:	xorg-proto-xproto-devel
Obsoletes:	libXtrans-devel

%description devel
xtrans library provides network API translation layer to insulate X
applications and libraries from OS network vagaries.

%description devel -l pl.UTF-8
Biblioteka xtrans dostarcza warstwę tłumaczenia sieciowego API służącą
do oddzielenia aplikacji i bibliotek X od kaprysów sieciowych systemu
operacyjnego.

%prep
%setup -q -n xtrans-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-docs

%{__make}


%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README Xtrans.html
%{_includedir}/X11/Xtrans
%{_npkgconfigdir}/xtrans.pc
%{_aclocaldir}/xtrans.m4

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-xtrans.spec,v $
Revision 1.32  2009/10/18 07:37:25  qboosh
- macros for _npkgconfigdir

Revision 1.31  2009/10/17 22:04:15  qboosh
- updated to 1.2.5
- .pc file now in noarch dir
- package devel docs

Revision 1.30  2009/09/29 15:36:15  qboosh
- no need to ldconfig

Revision 1.29  2009/08/13 19:52:49  arekm
- up to 1.2.4

Revision 1.28  2009/01/12 19:23:27  qboosh
- util-macros version

Revision 1.27  2009/01/11 19:57:03  arekm
- up to 1.2.3

Revision 1.26  2008/10/08 06:12:48  arekm
- up to 1.2.2

Revision 1.25  2008/07/02 19:38:24  arekm
- up to 1.2.1

Revision 1.24  2008-05-10 07:07:47  qboosh
- updated to 1.2

Revision 1.23  2008-03-06 07:23:47  arekm
- up to 1.1

Revision 1.22  2007/08/22 14:57:26  qboosh
- added README to doc

Revision 1.21  2007/08/22 06:20:43  arekm
- up to 1.0.4

Revision 1.20  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.18  2006/12/16 15:32:22  arekm
- up to 1.0.3

Revision 1.17  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.16  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.15  2006/10/13 21:18:36  qboosh
- updated to 1.0.2

Revision 1.14  2006/06/30 09:01:23  qboosh
- updated to 1.0.1

Revision 1.13  2006/03/08 21:54:39  qboosh
- release 1

Revision 1.12  2005/12/28 15:34:37  qboosh
- sources from X11R7.0 release

Revision 1.11  2005/12/20 15:44:10  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.10  2005/11/19 19:56:35  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.9  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.8  2005/10/20 12:45:24  qboosh
- BR: autoconf >= 2.57

Revision 1.7  2005/10/20 10:34:35  qboosh
- 0.99.1 (X11R7.0-RC1)

Revision 1.6  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.5  2005/08/27 18:46:09  qboosh
- just name in BuildRoot

Revision 1.4  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/27 10:38:00  qboosh
- merged descs from libXtrans.spec, Obsoletes: libXtrans*

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:42  arekm
- modular xorg specs

* Wed Aug 10 2005 12:57:51  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- defined %%{_prefix}
- release 0.04

* Wed Aug 10 2005 11:41:30  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed %%files
- release 0.03

* Wed Aug 10 2005 11:25:38  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- added R: xproto-devel to devel package
- release 0.02

* Wed Aug  3 2005 15:46:54  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- removed R: %xtrans from devel

* Wed Aug  3 2005 15:38:52  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
